Represents an LDAP MatchingRule

package | lib

### Methods

## Creates a new MatchingRule object from a raw LDAP MatchingRule string.

    MatchingRule($raw_ldap_matching_rule_string)

### Parameters

#### $raw_ldap_matching_rule_string

## Adds an attribute name to the list of attributes who use this MatchingRule

    addUsedByAttr($new_attr_name) : true

### Parameters

#### $new_attr_name

### Returns

`true`if the attribute was added and false otherwise (already in the list)

## Gets whether this MatchingRule is flagged as obsolete by the LDAP server.

    getIsObsolete() : bool

### Returns

`bool`True if this MatchingRule is obsolete and false otherwise.

## Gets this MatchingRule's name.

    getName() : string

### Returns

`string`The name.

## Gets an array of attribute names (strings) which use this MatchingRule

    getUsedByAttrs() : array

### Returns

`array`The array of attribute names (strings).

## Initialize the class' member variables

    initVars()

## Sets the list of used_by_attrs to the array specified by $attrs;

    setUsedByAttrs(array $attrs)

### Parameters

#### $attrs

`array`

The array of attribute names (strings) which use this MatchingRule

### Properties

## Boolean value indicating whether this MatchingRule is obsolete

    $is_obsolete

## This rule's name

    $name

## This rule's syntax OID

    $syntax

## An array of attribute names who use this MatchingRule

    $used_by_attrs

Represents an LDAP MatchingRule

A schema item is an ObjectClass, an AttributeBype, a MatchingRule, or a Syntax. All schema items have at least two things in common: An OID and a description. This class provides an implementation for these two data.

package | phpLDAPadmin
subpackage | Schema

### Methods

## Creates a new MatchingRule object from a raw LDAP MatchingRule string.

    __construct($strings)

### Parameters

#### $strings

## Adds an attribute name to the list of attributes who use this MatchingRule

    addUsedByAttr($attr) : true

### Parameters

#### $attr

### Returns

`true`if the attribute was added and false otherwise (already in the list)

## getDescription()

    getDescription()

Inherited

inherited_from | \SchemaItem::getDescription()

## Gets whether this objectClass is flagged as obsolete by the LDAP server.

    getIsObsolete()

Inherited

inherited_from | \SchemaItem::getIsObsolete()

## Return the objects name.

    getName($lower) : string

Inherited

param boolean $lower Return the name in lower case (default)

inherited_from | \SchemaItem::getName()

### Parameters

#### $lower

### Returns

`string`The name

## getOID()

    getOID()

Inherited

inherited_from | \SchemaItem::getOID()

## Gets an array of attribute names (strings) which use this MatchingRule

    getUsedByAttrs() : array

### Returns

`array`The array of attribute names (strings).

## setDescription()

    setDescription($desc)

Inherited

inherited_from | \SchemaItem::setDescription()

### Parameters

#### $desc

## setOID()

    setOID($oid)

Inherited

inherited_from | \SchemaItem::setOID()

### Parameters

#### $oid

## Sets the list of used_by_attrs to the array specified by $attrs;

    setUsedByAttrs(array $attrs)

### Parameters

#### $attrs

`array`

The array of attribute names (strings) which use this MatchingRule

### Properties

## $description

    $description

Inherited

inherited_from | \SchemaItem::$$description

## $name

    $name

Inherited

inherited_from | \SchemaItem::$$name

## $is_obsolete

    $is_obsolete

Inherited

inherited_from | \SchemaItem::$$is_obsolete

## $oid

    $oid

Inherited

inherited_from | \SchemaItem::$$oid

## $syntax

    $syntax

## $used_by_attrs

    $used_by_attrs